### Function

# EDataServer util_guess_source_is_readonly

since: 3.50

#### Declaration [src]

    gboolean
    e_util_guess_source_is_readonly (
      _ESource* source
    )

#### Description [src]

Guesses whether the `source` is read only. This is done on some heuristic like the source backend, where some are known to be read only. That this function returns `FALSE` does not necessarily mean the source is writable, it only means the source is not well-known read-only source. To know for sure open the corresponding `EClient`, if the `source` references such, and use e_client_is_readonly().

Available since: 3.50

#### Parameters

`source`

  Type: `_ESource*`

  An `ESource`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE`, when the `source` is well-known read-only source, or `FALSE` otherwise.